import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class MagicGarden extends World
{

    public MagicGarden()
    {    
        super(1280, 720, 1); 
        prepare();
    }

    public void started() {
        GreenfootSound g = new GreenfootSound("breath-of-the-green-leaves.mp3");
        g.playLoop();
    }

    /**
     * Bereite die Welt für den Programmstart vor.
     * Das heißt: Erzeuge die Anfangs-Objekte und füge sie der Welt hinzu.
     */
    private void prepare()
    {
        Sonne sonne = new Sonne();
        addObject(sonne,893,91);
        this.addObject(new Wolke(), 640, 217);
        this.addObject(new Wolke(), 1150, 149);
        this.addObject(new Brunnen(), 48, 663);
        Vogel vogel = new Vogel();
        addObject(vogel,451,199);
        vogel.setLocation(625,230);
        vogel.setLocation(294,191);
        vogel.setLocation(825,278);
        Vogel vogel2 = new Vogel();
        addObject(vogel2,531,202);
        vogel2.setLocation(446,227);
        Gaertnerin gaertnerin = new Gaertnerin();
        addObject(gaertnerin,179,556);
        gaertnerin.setLocation(145,526);
        Blume blume = new Blume();
        addObject(blume,674,564);
        Blume blume2 = new Blume();
        addObject(blume2,797,537);
        Blume blume3 = new Blume();
        addObject(blume3,921,533);
        Blume blume4 = new Blume();
        addObject(blume4,841,620);
        Truhe truhe = new Truhe();
        addObject(truhe,1207,596);
        blume.setLocation(498,491);
        blume.setLocation(376,654);
        blume4.setLocation(546,659);
        blume2.setLocation(483,561);
        blume3.setLocation(691,583);
    }
}